[134268] trunk/dports/devel/gvfs

devans at macports.org devans at macports.org
Fri Mar 20 14:07:06 PDT 2015


Revision: 134268
          https://trac.macports.org/changeset/134268
Author:   devans at macports.org
Date:     2015-03-20 14:07:05 -0700 (Fri, 20 Mar 2015)
Log Message:
-----------
gvfs: update to version 1.22.4, reconfigure using autogen.sh for intltool 0.51 compatibility, disable broken tests for now.

Modified Paths:
--------------
    trunk/dports/devel/gvfs/Portfile

Added Paths:
-----------
    trunk/dports/devel/gvfs/files/autogen.sh

Property Changed:
----------------
    trunk/dports/devel/gvfs/


Property changes on: trunk/dports/devel/gvfs
___________________________________________________________________
Modified: svn:mergeinfo
   - /users/devans/GNOME-3/stable/dports/devel/gvfs:118155-132006
/users/devans/GNOME-3/unstable/dports/devel/gvfs:116416-120100,123992-125723
   + /users/devans/GNOME-3/stable/dports/devel/gvfs:118155-134267
/users/devans/GNOME-3/unstable/dports/devel/gvfs:116416-120100,123992-125723

Modified: trunk/dports/devel/gvfs/Portfile
===================================================================
--- trunk/dports/devel/gvfs/Portfile	2015-03-20 20:29:00 UTC (rev 134267)
+++ trunk/dports/devel/gvfs/Portfile	2015-03-20 21:07:05 UTC (rev 134268)
@@ -5,7 +5,7 @@
 
 name                gvfs
 epoch               1
-version             1.22.3
+version             1.22.4
 set branch          [join [lrange [split ${version} .] 0 1] .]
 maintainers         devans openmaintainer
 categories          devel
@@ -35,12 +35,15 @@
 
 use_xz              yes
 
-checksums           rmd160  48dfd48223e59b997320b5f5444f98a1182bb5ff \
-                    sha256  c778342e09a84d8c69b1b7ce7f943f6f2444a995bb0c0754ef1746afa8935182
+checksums           rmd160  ae3e2d742b00f4eaaec34682c7ad81f6f668750d \
+                    sha256  57e33faad35aba72be3822099856aca847f391626cf3ec734b42e64ba31f6484
 
 depends_build       port:pkgconfig \
                     port:intltool \
-                    port:gtk-doc
+                    port:gtk-doc \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:gtk3 \
                     port:gettext \
@@ -53,15 +56,14 @@
                     port:libsecret \
                     port:gnome-online-accounts
 
-# update m4/intltool.m4 and autoreconf
-
-pre-configure {
-    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
 }
 
-use_autoreconf      yes
-autoreconf.args     -fvi
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
+configure.cmd       ./autogen.sh
+
 configure.args      --disable-avahi \
                     --disable-fuse \
                     --disable-hal \
@@ -83,9 +85,6 @@
                     --enable-afp \
                     --disable-silent-rules
 
-test.run            yes
-test.target         check
-
 destroot.keepdirs   ${destroot}${prefix}/share/gvfs/remote-volume-monitors
 
 post-destroot {

Copied: trunk/dports/devel/gvfs/files/autogen.sh (from rev 134267, users/devans/GNOME-3/stable/dports/devel/gvfs/files/autogen.sh)
===================================================================
--- trunk/dports/devel/gvfs/files/autogen.sh	                        (rev 0)
+++ trunk/dports/devel/gvfs/files/autogen.sh	2015-03-20 21:07:05 UTC (rev 134268)
@@ -0,0 +1,126 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=GVfs
+TEST_TYPE=-f
+FILE=client/gdaemonvfs.h
+
+DIE=0
+
+have_libtool=false
+if glibtoolize --version < /dev/null > /dev/null 2>&1 ; then
+	libtool_version=`glibtoolize --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+	case $libtool_version in
+	    1.4*|1.5*|2.2*|2.4*)
+		have_libtool=true
+		;;
+	esac
+fi
+if $have_libtool ; then : ; else
+	echo
+	echo "You must have libtool 1.4 installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+	DIE=1
+fi
+
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have intltool installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/intltool"
+	DIE=1
+}
+
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have gtk-doc installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+	DIE=1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have autoconf installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+	DIE=1
+}
+
+if automake --version < /dev/null > /dev/null 2>&1 ; then
+    AUTOMAKE=automake
+    ACLOCAL=aclocal
+else
+	echo
+	echo "You must have automake 1.7.x installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+	DIE=1
+fi
+
+if test "$DIE" -eq 1; then
+	exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+	echo "You must run this script in the top-level $PROJECT directory"
+	exit 1
+}
+
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+        if test -z "$*"; then
+                echo "I am going to run ./configure with no arguments - if you wish "
+                echo "to pass any to it, please specify them on the $0 command line."
+        fi
+fi
+
+if test -z "$ACLOCAL_FLAGS"; then
+
+	acdir=`$ACLOCAL --print-ac-dir`
+        m4list="glib-2.0.m4 glib-gettext.m4"
+
+	for file in $m4list
+	do
+		if [ ! -f "$acdir/$file" ]; then
+			echo "WARNING: aclocal's directory is $acdir, but..."
+			echo "         no file $acdir/$file"
+			echo "         You may see fatal macro warnings below."
+			echo "         If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
+			echo "         environment variable to \"-I /some/dir\", or install"
+			echo "         $acdir/$file."
+			echo ""
+		fi
+	done
+fi
+
+rm -rf autom4te.cache
+
+# README and INSTALL are required by automake, but may be deleted by clean
+# up rules. to get automake to work, simply touch these here, they will be
+# regenerated from their corresponding *.in files by ./configure anyway.
+touch README INSTALL
+
+glibtoolize --force --copy || exit $?
+intltoolize --force --copy --automake || exit $?
+gtkdocize --copy || exit $?
+
+$ACLOCAL $ACLOCAL_FLAGS || exit $?
+
+autoheader || exit $?
+
+$AUTOMAKE --add-missing || exit $?
+autoconf || exit $?
+cd $ORIGDIR || exit $?
+
+if test -z "$AUTOGEN_SUBDIR_MODE" && test -z "$NOCONFIGURE"; then
+        $srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
+
+        echo 
+        echo "Now type 'make' to compile $PROJECT."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150320/93d26c45/attachment-0001.html>


More information about the macports-changes mailing list